Package org.jboss.logmanager.handlers

# Enum PeriodicRotatingFileHandler.Period

java.lang.Object
java.lang.Enum<PeriodicRotatingFileHandler.Period>
org.jboss.logmanager.handlers.PeriodicRotatingFileHandler.Period

All Implemented Interfaces:
  `Serializable`, `Comparable<PeriodicRotatingFileHandler.Period>`, `java.lang.constant.Constable`

Enclosing class:
  `PeriodicRotatingFileHandler`

public static enum PeriodicRotatingFileHandler.Period extends Enum<PeriodicRotatingFileHandler.Period>
Possible period values. Keep in strictly ascending order of magnitude.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DAY`
`HALF_DAY`
`HOUR`
`MINUTE`
`MONTH`
`NEVER`
`WEEK`
`YEAR`

## Method Summary

Modifier and Type
Method
Description
`static PeriodicRotatingFileHandler.Period`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PeriodicRotatingFileHandler.Period[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MINUTE

public static final PeriodicRotatingFileHandler.Period MINUTE

### HOUR

public static final PeriodicRotatingFileHandler.Period HOUR

### HALF_DAY

public static final PeriodicRotatingFileHandler.Period HALF_DAY

### DAY

public static final PeriodicRotatingFileHandler.Period DAY

### WEEK

public static final PeriodicRotatingFileHandler.Period WEEK

### MONTH

public static final PeriodicRotatingFileHandler.Period MONTH

### YEAR

public static final PeriodicRotatingFileHandler.Period YEAR

### NEVER

public static final PeriodicRotatingFileHandler.Period NEVER

## Method Details

### values

public static PeriodicRotatingFileHandler.Period[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PeriodicRotatingFileHandler.Period valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null